//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DataSet" maxOccurs="unbounded"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="TechnicalContacts" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="TechnicalContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name="ContentContacts"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="ContentContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name="Description"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}MetadataDescriptionRepr" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name="DateModified" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}DateTimeISO"/&gt;
 *                   &lt;element name="Owners" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Owner" maxOccurs="unbounded"&gt;
 *                               &lt;complexType&gt;
 *                                 &lt;complexContent&gt;
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                                     &lt;sequence&gt;
 *                                       &lt;element name="LogoURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *                                       &lt;element name="ResourceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *                                       &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Label"/&gt;
 *                                     &lt;/sequence&gt;
 *                                   &lt;/restriction&gt;
 *                                 &lt;/complexContent&gt;
 *                               &lt;/complexType&gt;
 *                             &lt;/element&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name="LegalStatements" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}LegalStatements" minOccurs="0"/&gt;
 *                   &lt;element name="Units"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Unit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Unit" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "dataSet"
})
@XmlRootElement(name = "DataSets")
public class DataSets {

    @XmlElement(name = "DataSet", required = true)
    protected List<DataSets.DataSet> dataSet;

    /**
     * Gets the value of the dataSet property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the dataSet property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDataSet().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DataSets.DataSet }
     * 
     * 
     */
    public List<DataSets.DataSet> getDataSet() {
        if (dataSet == null) {
            dataSet = new ArrayList<DataSets.DataSet>();
        }
        return this.dataSet;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="TechnicalContacts" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="TechnicalContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name="ContentContacts"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="ContentContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name="Description"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}MetadataDescriptionRepr" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name="DateModified" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}DateTimeISO"/&gt;
     *         &lt;element name="Owners" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Owner" maxOccurs="unbounded"&gt;
     *                     &lt;complexType&gt;
     *                       &lt;complexContent&gt;
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                           &lt;sequence&gt;
     *                             &lt;element name="LogoURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
     *                             &lt;element name="ResourceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
     *                             &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Label"/&gt;
     *                           &lt;/sequence&gt;
     *                         &lt;/restriction&gt;
     *                       &lt;/complexContent&gt;
     *                     &lt;/complexType&gt;
     *                   &lt;/element&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name="LegalStatements" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}LegalStatements" minOccurs="0"/&gt;
     *         &lt;element name="Units"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Unit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Unit" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "technicalContacts",
        "contentContacts",
        "description",
        "dateModified",
        "owners",
        "legalStatements",
        "units"
    })
    public static class DataSet {

        @XmlElement(name = "TechnicalContacts")
        protected DataSets.DataSet.TechnicalContacts technicalContacts;
        @XmlElement(name = "ContentContacts", required = true)
        protected DataSets.DataSet.ContentContacts contentContacts;
        @XmlElement(name = "Description", required = true)
        protected DataSets.DataSet.Description description;
        @XmlElement(name = "DateModified", required = true)
        protected String dateModified;
        @XmlElement(name = "Owners")
        protected DataSets.DataSet.Owners owners;
        @XmlElement(name = "LegalStatements")
        protected LegalStatements legalStatements;
        @XmlElement(name = "Units", required = true)
        protected DataSets.DataSet.Units units;

        /**
         * Gets the value of the technicalContacts property.
         * 
         * @return
         *     possible object is
         *     {@link DataSets.DataSet.TechnicalContacts }
         *     
         */
        public DataSets.DataSet.TechnicalContacts getTechnicalContacts() {
            return technicalContacts;
        }

        /**
         * Sets the value of the technicalContacts property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataSets.DataSet.TechnicalContacts }
         *     
         */
        public void setTechnicalContacts(DataSets.DataSet.TechnicalContacts value) {
            this.technicalContacts = value;
        }

        /**
         * Gets the value of the contentContacts property.
         * 
         * @return
         *     possible object is
         *     {@link DataSets.DataSet.ContentContacts }
         *     
         */
        public DataSets.DataSet.ContentContacts getContentContacts() {
            return contentContacts;
        }

        /**
         * Sets the value of the contentContacts property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataSets.DataSet.ContentContacts }
         *     
         */
        public void setContentContacts(DataSets.DataSet.ContentContacts value) {
            this.contentContacts = value;
        }

        /**
         * Gets the value of the description property.
         * 
         * @return
         *     possible object is
         *     {@link DataSets.DataSet.Description }
         *     
         */
        public DataSets.DataSet.Description getDescription() {
            return description;
        }

        /**
         * Sets the value of the description property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataSets.DataSet.Description }
         *     
         */
        public void setDescription(DataSets.DataSet.Description value) {
            this.description = value;
        }

        /**
         * Gets the value of the dateModified property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDateModified() {
            return dateModified;
        }

        /**
         * Sets the value of the dateModified property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDateModified(String value) {
            this.dateModified = value;
        }

        /**
         * Gets the value of the owners property.
         * 
         * @return
         *     possible object is
         *     {@link DataSets.DataSet.Owners }
         *     
         */
        public DataSets.DataSet.Owners getOwners() {
            return owners;
        }

        /**
         * Sets the value of the owners property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataSets.DataSet.Owners }
         *     
         */
        public void setOwners(DataSets.DataSet.Owners value) {
            this.owners = value;
        }

        /**
         * Gets the value of the legalStatements property.
         * 
         * @return
         *     possible object is
         *     {@link LegalStatements }
         *     
         */
        public LegalStatements getLegalStatements() {
            return legalStatements;
        }

        /**
         * Sets the value of the legalStatements property.
         * 
         * @param value
         *     allowed object is
         *     {@link LegalStatements }
         *     
         */
        public void setLegalStatements(LegalStatements value) {
            this.legalStatements = value;
        }

        /**
         * Gets the value of the units property.
         * 
         * @return
         *     possible object is
         *     {@link DataSets.DataSet.Units }
         *     
         */
        public DataSets.DataSet.Units getUnits() {
            return units;
        }

        /**
         * Sets the value of the units property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataSets.DataSet.Units }
         *     
         */
        public void setUnits(DataSets.DataSet.Units value) {
            this.units = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="ContentContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "contentContact"
        })
        public static class ContentContacts {

            @XmlElement(name = "ContentContact", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            @XmlSchemaType(name = "normalizedString")
            protected List<String> contentContact;

            /**
             * Gets the value of the contentContact property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the contentContact property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getContentContact().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link String }
             * 
             * 
             */
            public List<String> getContentContact() {
                if (contentContact == null) {
                    contentContact = new ArrayList<String>();
                }
                return this.contentContact;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}MetadataDescriptionRepr" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "representation"
        })
        public static class Description {

            @XmlElement(name = "Representation", required = true)
            protected List<MetadataDescriptionRepr> representation;

            /**
             * Gets the value of the representation property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the representation property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getRepresentation().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link MetadataDescriptionRepr }
             * 
             * 
             */
            public List<MetadataDescriptionRepr> getRepresentation() {
                if (representation == null) {
                    representation = new ArrayList<MetadataDescriptionRepr>();
                }
                return this.representation;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Owner" maxOccurs="unbounded"&gt;
         *           &lt;complexType&gt;
         *             &lt;complexContent&gt;
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *                 &lt;sequence&gt;
         *                   &lt;element name="LogoURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
         *                   &lt;element name="ResourceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
         *                   &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Label"/&gt;
         *                 &lt;/sequence&gt;
         *               &lt;/restriction&gt;
         *             &lt;/complexContent&gt;
         *           &lt;/complexType&gt;
         *         &lt;/element&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "owner"
        })
        public static class Owners {

            @XmlElement(name = "Owner", required = true)
            protected List<DataSets.DataSet.Owners.Owner> owner;

            /**
             * Gets the value of the owner property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the owner property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getOwner().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link DataSets.DataSet.Owners.Owner }
             * 
             * 
             */
            public List<DataSets.DataSet.Owners.Owner> getOwner() {
                if (owner == null) {
                    owner = new ArrayList<DataSets.DataSet.Owners.Owner>();
                }
                return this.owner;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType&gt;
             *   &lt;complexContent&gt;
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
             *       &lt;sequence&gt;
             *         &lt;element name="LogoURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
             *         &lt;element name="ResourceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
             *         &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Label"/&gt;
             *       &lt;/sequence&gt;
             *     &lt;/restriction&gt;
             *   &lt;/complexContent&gt;
             * &lt;/complexType&gt;
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "logoURL",
                "resourceURI",
                "name"
            })
            public static class Owner {

                @XmlElement(name = "LogoURL")
                @XmlSchemaType(name = "anyURI")
                protected String logoURL;
                @XmlElement(name = "ResourceURI")
                @XmlSchemaType(name = "anyURI")
                protected String resourceURI;
                @XmlElement(name = "Name", required = true)
                protected Label name;

                /**
                 * Gets the value of the logoURL property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getLogoURL() {
                    return logoURL;
                }

                /**
                 * Sets the value of the logoURL property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setLogoURL(String value) {
                    this.logoURL = value;
                }

                /**
                 * Gets the value of the resourceURI property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getResourceURI() {
                    return resourceURI;
                }

                /**
                 * Sets the value of the resourceURI property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setResourceURI(String value) {
                    this.resourceURI = value;
                }

                /**
                 * Gets the value of the name property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link Label }
                 *     
                 */
                public Label getName() {
                    return name;
                }

                /**
                 * Sets the value of the name property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link Label }
                 *     
                 */
                public void setName(Label value) {
                    this.name = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="TechnicalContact" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "technicalContact"
        })
        public static class TechnicalContacts {

            @XmlElement(name = "TechnicalContact", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            @XmlSchemaType(name = "normalizedString")
            protected List<String> technicalContact;

            /**
             * Gets the value of the technicalContact property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the technicalContact property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getTechnicalContact().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link String }
             * 
             * 
             */
            public List<String> getTechnicalContact() {
                if (technicalContact == null) {
                    technicalContact = new ArrayList<String>();
                }
                return this.technicalContact;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Unit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Unit" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "unit"
        })
        public static class Units {

            @XmlElement(name = "Unit", required = true)
            protected List<Unit> unit;

            /**
             * Gets the value of the unit property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the unit property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getUnit().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link Unit }
             * 
             * 
             */
            public List<Unit> getUnit() {
                if (unit == null) {
                    unit = new ArrayList<Unit>();
                }
                return this.unit;
            }

        }

    }

}
